/// <reference types="node" />
import * as http from 'http';
import { BaseAPI } from '../base.api';
export declare class CreateHandle {
    private handle;
    constructor(handle: BaseAPI);
    /**
     * Application mode routing
     * @param req
     * @param res
     * @param next
     */
    product(req: http.IncomingMessage, res: http.ServerResponse, next: Function): void;
    /**
     * Development routing
     * @param req
     * @param res
     * @param next
     */
    develop(req: http.IncomingMessage, res: http.ServerResponse, next: Function, prefix: string): void;
}
